## fonts-morisawa-bizud-gothic 1.051

=== Makefile ===
DRAWBOT_SCRIPTS=$(shell ls documentation/*.py)
DRAWBOT_OUTPUT=$(shell ls documentation/*.py | sed 's/\.py/.png/g')

help:
	@echo "###"
	@echo "# Build targets for UD Gothic"
	@echo "###"
	@echo
	@echo "  make build:  Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:   Tests the fonts with fontbakery"
	@echo "  make proof:  Creates HTML proof documents in the proof/ directory"
	@echo "  make images: Creates PNG specimen images in the documentation/ directory"
	@echo

build: build.stamp

venv: venv/touchfile

build.stamp: venv .init.stamp sources/build.py
	. venv/bin/activate; rm -rf fonts/; python3 sources/build.py && touch build.stamp

.init.stamp: venv
	. venv/bin/activate; python3 scripts/first-run.py

venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

test: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/fontbakery; fontbakery check-googlefonts -l WARN --succinct --badges out/badges --html out/fontbakery/fontbakery-report.html --ghmarkdown out/fontbakery/fontbakery-report.md $(shell find fonts/ttf -type f)

proof: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/proof; gftools gen-html proof $(shell find fonts/ttf -type f) -o out/proof

images: venv build.stamp $(DRAWBOT_OUTPUT)
	git add documentation/*.png && git commit -m "Rebuild images" documentation/*.png

%.png: %.py build.stamp
	python3 $< --output $@

clean:
	rm -rf venv
	find . -name "*.pyc" | xargs rm delete

update-ufr:
	npx update-template https://github.com/googlefonts/Unified-Font-Repository/

update:
	pip install --upgrade $(dependency); pip freeze > requirements.txt

=== requirements.txt ===
absl-py==1.0.0
appdirs==1.4.4
attrs==21.4.0
babelfont==2.0.2
beautifulsoup4==4.10.0
beziers==0.4.0
booleanOperations==0.9.0
Brotli==1.0.9
browserstack-local==1.2.2
bump2version==1.0.1
bumpfontversion==0.3.0
cattrs==1.10.0
certifi==2021.10.8
cffi==1.15.0
cffsubr==0.2.9.post1
charset-normalizer==2.0.12
click==8.0.4
cmarkgfm==0.8.0
collidoscope==0.4.1
colorlog==6.6.0
commandlines==0.4.1
commonmark==0.9.1
compreffor==0.5.1.post1
cu2qu==1.6.7.post1
defcon==0.10.0
dehinter==4.0.0
Deprecated==1.2.13
drawbot-skia==0.4.8
font-v==2.1.0
fontbakery==0.8.7
fontdiffenator==0.9.12
fontmake==2.4.1
fontMath==0.9.1
fontParts==0.10.3
fontPens==0.2.4
fonttools==4.30.0
freetype-py==2.2.0
fs==2.4.15
gfdiffbrowsers==0.1.7
gftools==0.9.0
gitdb==4.0.9
GitPython==3.1.27
glyphsets==0.2.1
glyphsLib==6.0.0b4
glyphtools==0.8.0
hyperglot==0.3.8
idna==3.3
Jinja2==3.0.3
lxml==4.8.0
MarkupSafe==2.1.0
numpy==1.22.3
openstep-plist==0.3.0
opentype-sanitizer==8.2.1
opentypespec==1.8.4
Pillow==9.0.1
pip-api==0.0.29
protobuf==3.19.4
psutil==5.9.0
pybind11==2.9.1
pybrowserstack-screenshots==0.1
pycairo==1.21.0
pyclipper==1.3.0.post2
pycparser==2.21
pygit2==1.9.0
PyGithub==1.55
Pygments==2.11.2
PyJWT==2.3.0
PyNaCl==1.5.0
pyparsing==3.0.7
python-bidi==0.4.2
python-dateutil==2.8.2
pytz==2021.3
PyYAML==6.0
requests==2.27.1
rich==12.0.0
rstr==3.1.0
sh==1.14.2
simplejson==3.17.6
six==1.16.0
skia-pathops==0.7.2
skia-python==87.4
smmap==5.0.0
soupsieve==2.3.1
sre-yield==1.2
statmake==0.4.1
strictyaml==1.6.1
stringbrewer==0.0.1
tabulate==0.8.9
toml==0.10.2
ttfautohint-py==0.5.1
ufo2ft==2.25.3
ufoLib2==0.13.1
ufolint==1.2.0
uharfbuzz==0.21.0
unicodedata2==14.0.0
Unidecode==1.3.4
urllib3==1.26.8
vharfbuzz==0.1.1
vttLib==0.11.0
wrapt==1.14.0

## fonts-morisawa-bizud-gothic 1.05

=== debian/changelog ===
fonts-morisawa-bizud-gothic (1.05-2) unstable; urgency=medium

  * d/control: Fix VCS address

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 18 Nov 2022 02:04:46 +0900

fonts-morisawa-bizud-gothic (1.05-1) unstable; urgency=medium

  * Initial release (Closes: #1009227)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 09 Apr 2022 18:13:59 +0900

=== debian/control ===
Source: fonts-morisawa-bizud-gothic
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
	python3:any,
	python3-fonttools,
	python3-fontmake,
	fonttools
Standards-Version: 4.6.0
Homepage: https://github.com/googlefonts/morisawa-biz-ud-gothic
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-gothic
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-gothic.git
Rules-Requires-Root: no

Package: fonts-morisawa-bizud-gothic
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Universal Design typeface Gothic fonts
 BIZ UD Gothic is a universal design typeface designed to be easy to
 read and ideal for education and business documentation. It is a highly
 legible and well-balanced design sans serif. In order to make the kanji
 more clear and identifiable, the letterforms are simplified by omitting
 hane (hook) and geta (the vertical lines extending beyond horizontal
 strokes at the bottom of kanji). Counters and other spaces are finely
 adjusted so that the overall balance of the type is not impaired even
 with the use in relatively large size. The kana are made slightly
 smaller than the kanji to give a good rhythm and flow when setting long
 texts in the lighter weights.

## fonts-morisawa-bizud-gothic 1.051

=== debian/changelog ===
fonts-morisawa-bizud-gothic (1.051-2) unstable; urgency=medium

  * Add patch: Do not fail when cleaned file do not exist(Closes: #1087302)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 12 Nov 2024 02:09:02 +0900

fonts-morisawa-bizud-gothic (1.051-1) unstable; urgency=medium

  * New upstream version 1.051
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Mar 2024 19:30:20 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python3-fonttools,
 	python3-fontmake,
 	fonttools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/googlefonts/morisawa-biz-ud-gothic
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-gothic
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-gothic.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean:
	rm -fr $(CURDIR)/temp
	rm -fr $(CURDIR)/fonts

override_dh_auto_build:
	python3 $(CURDIR)/sources/build.py

# Skip all tests because the required package "Fontbakery" is not in the official Debian package.
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/morisawa-biz-ud-gothic-$1\.tar\.gz/ \
  https://github.com/googlefonts/morisawa-biz-ud-gothic/tags .*/v?(\d\S+)\.tar\.gz
